Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._eyetracker.libdummytracker.Dummy Class Reference
Inheritance diagram for pygaze._eyetracker.libdummytracker.Dummy:

## Public Member Functions
| __init__ (self, display)
| calibrate (self)
| drift_correction (self, pos=None, fix_triggered=False)
| fix_triggered_drift_correction (self, pos=None, min_samples=30, max_dev=60, reset_threshold=10)
| start_recording (self)
| stop_recording (self)
| close (self)
| pupil_size (self)
| sample (self)
| wait_for_saccade_start (self)
| wait_for_saccade_end (self)
| wait_for_fixation_start (self)
| wait_for_fixation_end (self)
| wait_for_blink_start (self)
| wait_for_blink_end (self)
| set_draw_drift_correction_target_func (self, func)
| draw_drift_correction_target (self, x, y)
Public Member Functions inherited from pygaze._eyetracker.libdumbdummy.DumbDummy
| __init__ (self, display)
| send_command (self, cmd)
| log (self, msg)
| log_var (self, var, val)
| status_msg (self, msg)
| connected (self)
| prepare_drift_correction (self, pos)
| set_eye_used (self)
| wait_for_event (self, event)
Public Member Functions inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| __init__ (self)
| get_eyetracker_clock_async (self)
| draw_calibration_target (self, x, y)
| set_draw_calibration_target_func (self, func)
| set_detection_type (self, eventdetection)

## Public Attributes
| resolution = settings.DISPSIZE[:]
| simulator
| kb
| angrybeep
Public Attributes inherited from pygaze._eyetracker.libdumbdummy.DumbDummy
bool | recording = False
bool | blinking = False
tuple | bbpos = (settings.DISPSIZE[0]/2, settings.DISPSIZE[1]/2)
| display = display
| screen = Screen(disptype=settings.DISPTYPE, mousevisible=False)
Public Attributes inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| draw_calibration_target = func

## Detailed Description

    A dummy class to run experiments in dummy mode, where eye movements are simulated by the mouse

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.libdummytracker.Dummy.__init__ | ( |  | self,
|  |  | display )

    Initiates an eyetracker dummy object, that simulates gaze position using the mouse

            arguments
            display     --  a pygaze display.Display instance

            keyword arguments
            None

## Member Function Documentation

## ◆ calibrate()

pygaze._eyetracker.libdummytracker.Dummy.calibrate | ( |  | self | ) |

    Dummy calibration

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ close()

pygaze._eyetracker.libdummytracker.Dummy.close | ( |  | self | ) |

    Dummy for closing connection with eyetracker, prints what would have been connection closing time

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ draw_drift_correction_target()

pygaze._eyetracker.libdummytracker.Dummy.draw_drift_correction_target | ( |  | self,
|  |  | x,
|  |  | y )

            Draws the drift-correction target.

            arguments

            x       --  The X coordinate
            y       --  The Y coordinate

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ drift_correction()

pygaze._eyetracker.libdummytracker.Dummy.drift_correction | ( |  | self,
|  |  | pos = None,
|  |  | fix_triggered = False )

    Dummy drift correction

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ fix_triggered_drift_correction()

pygaze._eyetracker.libdummytracker.Dummy.fix_triggered_drift_correction | ( |  | self,
|  |  | pos = None,
|  |  | min_samples = 30,
|  |  | max_dev = 60,
|  |  | reset_threshold = 10 )

    Dummy drift correction (fixation triggered)

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ pupil_size()

pygaze._eyetracker.libdummytracker.Dummy.pupil_size | ( |  | self | ) |

    Returns dummy pupil size

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ sample()

pygaze._eyetracker.libdummytracker.Dummy.sample | ( |  | self | ) |

    Returns simulated gaze position (=mouse position)

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ set_draw_drift_correction_target_func()

pygaze._eyetracker.libdummytracker.Dummy.set_draw_drift_correction_target_func | ( |  | self,
|  |  | func )

    See pygaze._eyetracker.baseeyetracker.BaseEyeTracker

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ start_recording()

pygaze._eyetracker.libdummytracker.Dummy.start_recording | ( |  | self | ) |

    Dummy for starting recording, prints what would have been the recording start

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ stop_recording()

pygaze._eyetracker.libdummytracker.Dummy.stop_recording | ( |  | self | ) |

    Dummy for stopping recording, prints what would have been the recording end

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ wait_for_blink_end()

pygaze._eyetracker.libdummytracker.Dummy.wait_for_blink_end | ( |  | self | ) |

    Returns ending time and position of a simulated blink (mousebuttonup)

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ wait_for_blink_start()

pygaze._eyetracker.libdummytracker.Dummy.wait_for_blink_start | ( |  | self | ) |

    Returns starting time and position of a simulated blink (mousebuttondown)

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ wait_for_fixation_end()

pygaze._eyetracker.libdummytracker.Dummy.wait_for_fixation_end | ( |  | self | ) |

    Returns time and gaze position when a simulated fixation is ended

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ wait_for_fixation_start()

pygaze._eyetracker.libdummytracker.Dummy.wait_for_fixation_start | ( |  | self | ) |

    Returns starting time and position when a simulated fixation is started

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ wait_for_saccade_end()

pygaze._eyetracker.libdummytracker.Dummy.wait_for_saccade_end | ( |  | self | ) |

    Returns ending time, starting and end position when a simulated saccade is ended

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## ◆ wait_for_saccade_start()

pygaze._eyetracker.libdummytracker.Dummy.wait_for_saccade_start | ( |  | self | ) |

    Returns starting time and starting position when a simulated saccade is started

Reimplemented from pygaze._eyetracker.libdumbdummy.DumbDummy.

## Member Data Documentation

## ◆ angrybeep

pygaze._eyetracker.libdummytracker.Dummy.angrybeep

Initial value:
= Sound(osc='saw',freq=100, length=100, attack=0,
decay=0, soundfile=None)

## ◆ kb

pygaze._eyetracker.libdummytracker.Dummy.kb

Initial value:
= Keyboard(disptype=settings.DISPTYPE, keylist=None, # teclado
timeout=None)

## ◆ resolution

pygaze._eyetracker.libdummytracker.Dummy.resolution = settings.DISPSIZE[:]

## ◆ simulator

pygaze._eyetracker.libdummytracker.Dummy.simulator

Initial value:
= Mouse(disptype=settings.DISPTYPE, mousebuttonlist=None, # simulador de ratón
timeout=2, visible=False)

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/libdummytracker.py